Change log for supervisor package in Ubuntu

121 of 21 results
Published in impish-release
Published in hirsute-release
Published in groovy-release
Deleted in groovy-proposed (Reason: moved to Release)
supervisor (4.2.1-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Only build-depend on python3, not python3-all.

Superseded in groovy-proposed
supervisor (4.2.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Only build-depend on python3, not python3-all.

Available diffs

Superseded in groovy-release
Published in focal-release
Deleted in focal-proposed (Reason: moved to Release)
supervisor (4.1.0-1ubuntu1) focal; urgency=medium

  * Only build-depend on python3, not python3-all.

Superseded in focal-proposed
supervisor (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * d/control: Drop meld3 dependency, it is now included in the package

 -- Samuel Henrique <email address hidden>  Fri, 01 Nov 2019 00:52:44 +0000

Available diffs

Superseded in focal-proposed
supervisor (4.0.4-2) unstable; urgency=medium

  * Upload 4.0.4-1 to unstable:
  * Switch from python2 to python3 (closes: #938602)

 -- Samuel Henrique <email address hidden>  Wed, 04 Sep 2019 23:07:11 +0100
Superseded in focal-release
Obsolete in eoan-release
Obsolete in disco-release
Deleted in disco-proposed (Reason: moved to release)
supervisor (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5
  * Bump Standards-Version to 4.3.0

 -- Samuel Henrique <email address hidden>  Thu, 27 Dec 2018 21:52:42 +0000

Available diffs

Superseded in disco-release
Deleted in disco-proposed (Reason: moved to release)
supervisor (3.3.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/changelog: Remove trailing whitespaces

  [ Stéphane Blondon ]
  * New upstream version 3.3.4 (Closes: #903731)
  * Bump Standards-Version to 4.2.1
  * Fix spelling error in manpage (containg to containing)
  * Add last contributors into copyright holders list
  * Update VCS data due to migration from Alioth to Salsa

  [ Samuel Henrique ]
  * Move maintenance to PAPT team and add new Uploaders
  * Bump DH level to 11
    - d/rules: use systemd dh addon
    - d/supervisor-doc.doc-base: move docs to main package dir under
      /usr/share/doc
  * d/control:
    - add missing Depends on lsb-base
    - use python3-sphinx instead of python2
    - set supervisor-doc to Multi-Arch: foreign
  * d/watch: Bump to v4

 -- Stéphane Blondon <email address hidden>  Sat, 01 Dec 2018 21:38:37 +0100

Available diffs

Published in trusty-updates
Published in trusty-security
supervisor (3.0b2-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code injection through XML-RPC
    - debian/patches/CVE-2017-11610.patch: disabling object
      traversal in XML-RPC dispatch in supervisor/test/test_xmlrc.py,
      supervisor/xmlrcp.py.
    - CVE-2017-11610

 -- <email address hidden> (Leonidas S. Barbosa)  Thu, 17 May 2018 15:59:12 -0300
Published in xenial-updates
Published in xenial-security
supervisor (3.2.0-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code injection through XML-RPC
    - debian/patches/CVE-2017-11610.patch: disabling object
      traversal in XML-RPC dispatch in supervisor/test/test_xmlrc.py,
      supervisor/xmlrcp.py.
    - CVE-2017-11610

 -- <email address hidden> (Leonidas S. Barbosa)  Thu, 17 May 2018 15:56:03 -0300
Obsolete in zesty-updates
Obsolete in zesty-security
supervisor (3.3.1-1+deb9u1build0.17.04.1) zesty-security; urgency=medium

  * fake sync from Debian

Superseded in disco-release
Obsolete in cosmic-release
Published in bionic-release
Obsolete in artful-release
Deleted in artful-proposed (Reason: moved to release)
supervisor (3.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable object traversal in XML-RPC dispatch (CVE-2017-11610)
    (Closes: #870187)

 -- Salvatore Bonaccorso <email address hidden>  Sat, 12 Aug 2017 10:55:14 +0200

Available diffs

Superseded in xenial-updates
Deleted in xenial-proposed (Reason: moved to -updates)
supervisor (3.2.0-2ubuntu0.1) xenial; urgency=medium

  * Enable and start systemd service. Thanks to Orestis Ioannou
    <email address hidden>. (Closes LP: #1594740).

 -- Nishanth Aravamudan <email address hidden>  Fri, 10 Mar 2017 10:43:23 -0800
Superseded in artful-release
Obsolete in zesty-release
Obsolete in yakkety-release
Deleted in yakkety-proposed (Reason: moved to release)
supervisor (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update S-V to 3.9.8. Nothing to change.
  * wrap-and-sort'ed debian folder.
  * Remove patch since it was merged upstream.
  * Update VCS links to be secure.
  * Remove copyright paragraph about a file that no longer exists.
  * Enabled and started systemd service (Closes:  #827729).

  [ Gianfranco Costamagna ]
  * Fix VCS-Browser to point to cgit
  * Fix copyright years, and use copyright format in https mode.

 -- Orestis Ioannou <email address hidden>  Sun, 28 Aug 2016 18:39:40 +0200

Available diffs

Superseded in yakkety-release
Published in xenial-release
Deleted in xenial-proposed (Reason: moved to release)
supervisor (3.2.0-2) unstable; urgency=high

  * Correct typo in patch patch (Closes: 810297)

 -- Orestis Ioannou <email address hidden>  Fri, 08 Jan 2016 09:14:56 +0100

Available diffs

Superseded in xenial-release
Deleted in xenial-proposed (Reason: moved to release)
supervisor (3.2.0-1) unstable; urgency=medium

  * Add python-pkg-resources in Depends. (Closes: 806295) 
  * New upstream release
  * Create man pages for all the binaries using the docs (Closes: 687521)
  * Add systemd service
  * Fix restart of init script (Closes:  805920)

 -- Orestis Ioannou <email address hidden>  Thu, 26 Nov 2015 09:43:58 +0100

Available diffs

Superseded in xenial-release
Deleted in xenial-proposed (Reason: moved to release)
supervisor (3.1.3-1) unstable; urgency=medium

  * New maintainer (Closes: #802449)
  * New upstream release (Closes: #802448)
  * Switch to pybuild
  * Switch to DEP-5 copyright file
  * Add doc package and doc-base document
  * Updated Standards version (3.9.6)
  * Comment out first patch since folder was removed from upstream.
  * Comment out second patch since it was fixed upstream
  * Refreshed third patch w.r.t upstream and modified failing unit test
 -- Orestis Ioannou <email address hidden>  Mon, 26 Oct 2015 02:26:46 +0100

Available diffs

Superseded in xenial-release
Obsolete in wily-release
Obsolete in vivid-release
Obsolete in utopic-release
Deleted in utopic-proposed (Reason: moved to release)
supervisor (3.0r1-1) unstable; urgency=low


  * New upstream release.
  * Fix bug on init script output (Closes: #720281)

 -- Qijiang Fan <email address hidden>  Sat, 09 Nov 2013 20:34:52 +0800

Available diffs

Superseded in utopic-release
Published in trusty-release
Obsolete in saucy-release
Deleted in saucy-proposed (Reason: moved to release)
supervisor (3.0b2-1) unstable; urgency=low


  * New Maintainer (Closes: #717060)
  * New upstream release (Closes: #697883, #608694)
  * Fix restart function of init script (Closes: #609457)
  * Fix typo in package description (Closes: #697622)
  * Fix "string exception" (Closes: #585359)

 -- Qijiang Fan <email address hidden>  Thu, 18 Jul 2013 10:49:09 +0800

Available diffs

  • diff from 3.0a8-1.1 (in Ubuntu) to 3.0b2-1 (pending)
Superseded in saucy-release
Obsolete in raring-release
Obsolete in quantal-release
Published in precise-release
Obsolete in oneiric-release
supervisor (3.0a8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  09 May 2011 11:55:32 +0000

Available diffs

Superseded in oneiric-release
Obsolete in natty-release
Obsolete in maverick-release
Obsolete in lucid-release
supervisor (3.0a8-1) unstable; urgency=low

  * New upstream release
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  08 Feb 2010 11:04:24 +0000

Available diffs

Superseded in lucid-release
supervisor (3.0a7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch. (Closes: #547858)

121 of 21 results